org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcQueryGetQueryMetaRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId
  - - org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest
    - - org.apache.ignite.internal.processors.odbc.odbc.OdbcQueryGetQueryMetaRequest

All Implemented Interfaces:
  ClientListenerRequest

Direct Known Subclasses:
  OdbcQueryGetParamsMetaRequest, OdbcQueryGetResultsetMetaRequest

    public class OdbcQueryGetQueryMetaRequest
    extends OdbcRequest

ODBC query get query meta request.

### Field Summary

Fields
`protected String` `query` Query.
`protected String` `schema` Schema.

### Fields inherited from class org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest

`META_COLS, META_PARAMS, META_RESULTSET, META_TBLS, MORE_RESULTS, QRY_CLOSE, QRY_EXEC, QRY_EXEC_BATCH, QRY_FETCH, STREAMING_BATCH`

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryGetQueryMetaRequest(byte cmd, String schema, String query)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `query()`
`String` `schema()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.odbc.OdbcRequest

`command`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId

`requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### schema

    protected final String schema

Schema.

#### query

    protected final String query

Query.

### Constructor Detail

#### OdbcQueryGetQueryMetaRequest

    public OdbcQueryGetQueryMetaRequest(byte cmd,
                                        String schema,
                                        String query)

Parameters:
  `cmd` - Command code.
  `schema` - Schema.
  `query` - SQL Query.

### Method Detail

#### query

    public String query()

Returns:
  SQL Query.

#### schema

    public String schema()

Returns:
  Schema name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023